      FUNCTION NXNCHR
C
      IMPLICIT LOGICAL*1 (B)
      DOUBLE PRECISION SYMBOL
      COMMON/PARAMS/LUNIN,LUNOUT,LUNCMD,BTAB,BSPC,NLINE,NSTMT,
     1ICLASS,BCHR,BLST,JSYM(2),NSYMTP,IPARNS,NPAGE
      COMMON /INBUFR/INSIZ,INCNT,IOUTX,MCRSIZ,INFIL,IOUTFL,
     1BDPB(2),BUFR(80),BNAM(24),BTIME(8),BDATE(9),BX(1)
      COMMON NSYM,NELM,KLIM,SYMBOL(1000)
C
C***ROUTINE TO GET NEXT NON-SPACE(OR TAB) CHAR FROM INPUT
C
10	NXNCHR=NXTCHR(IOUTX)
	IF(NXNCHR.EQ.32)GOTO 10	!IGNOR SPACES
	IF(NXNCHR.EQ.BTAB)GOTO 10	!AND TABS TO!!!
	RETURN
	END
